Bug 119084 - mod_authz_ldap can't do TLS or SSL LDAP
mod_authz_ldap can't do TLS or SSL LDAP
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mod_authz_ldap (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-03-24 14:13 EST by Eric Eisenhart
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-22 10:38:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Eisenhart 2004-03-24 14:13:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040220 Firefox/0.8

Description of problem:
Our LDAP server is configured so that binding is only possible with
TLS or SSL, since local security policies require all user credentials
for all services to be encrypted on the wire (as well as much of the
information potentially returned by LDAP queries)

mod_authz_ldap doesn't have a mechanism to force it to use TLS or SSL
(or, as best I can tell, even the capability of doing so at all) when
connecting to an LDAP server.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install mod_authz_ldap
2. Try to find a way to configure it to do TLS or SSL when connecting
to the LDAP server
3. Give up when you figure out that it can't be done.

Additional info:
Comment 1 Suzanne Hillman 2004-03-31 17:20:24 EST
Internal RFE bug #119629 entered; will be considered for future releases.
Comment 2 Suzanne Hillman 2004-04-22 10:38:16 EDT
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.

Note You need to log in before you can comment on or make changes to this bug.